LibreOffice: ChartLegend Service Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
ChartLegend Service Referencepublished

specifies the legend of a chart. More...

`import "ChartLegend.idl";`

Inheritance diagram for ChartLegend:

## Included Services
service | com::sun::star::drawing::Shape
service | com::sun::star::style::CharacterProperties
service | com::sun::star::xml::UserDefinedAttributesSupplier
| If a ChartLegend may be stored as XML file, this service should be supported in order to preserve unparsed XML attributes.

## Public Attributes
boolean | AutomaticPosition
| If this property is TRUE the position is calculated by the application automatically.
com::sun::star::chart::ChartLegendPosition | Alignment
| determines the alignment of the legend relative to the diagram.
Public Attributes inherited from Shape
long | ZOrder
| is used to query or change the ZOrder of this Shape.
short | LayerID
| This is the ID of the Layer to which this Shape is attached.
string | LayerName
| This is the name of the Layer to which this Shape is attached.
boolean | Visible
| If this is FALSE, the Shape is not visible on screen outputs.
boolean | Printable
| If this is FALSE, the Shape is not visible on printer outputs.
boolean | MoveProtect
| With this set to TRUE, this Shape cannot be moved interactively in the user interface.
string | Name
| This is the name of this Shape.
boolean | SizeProtect
| With this set to TRUE, this Shape may not be sized interactively in the user interface.
com::sun::star::style::XStyle | Style
| this property lets you get and set a style for this shape.
com::sun::star::drawing::HomogenMatrix3 | Transformation
| this property lets you get and set the transformation matrix for this shape.
com::sun::star::container::XNameContainer | ShapeUserDefinedAttributes
| this property stores xml attributes.
long | NavigationOrder
| this property stores the navigation order of this shape.
string | Hyperlink
| this property lets you get and set a hyperlink for this shape.
short | RelativeHeight
| contains the relative height of the object.
short | RelativeWidth
| contains the relative width of the object.
short | RelativeHeightRelation
| contains the relation of the relative height of the object.
short | RelativeWidthRelation
| contains the relation of the relative width of the object.
string | Title
| contains short title for the object
string | Description
| contains description for the object
boolean | Decorative
| Determines if the shape is purely decorative.
Public Attributes inherited from CharacterProperties
string | CharFontName
| This property specifies the name of the font style.
string | CharFontStyleName
| This property contains the name of the font style.
short | CharFontFamily
| This property contains font family.
short | CharFontCharSet
| This property contains the text encoding of the font.
short | CharFontPitch
| This property contains the font pitch.
com::sun::star::util::Color | CharColor
| This property contains the value of the text color.
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters.
float | CharHeight
| This value contains the height of the characters in point.
short | CharUnderline
| This property contains the value for the character underline.
float | CharWeight
| This property contains the value of the font weight.
com::sun::star::awt::FontSlant | CharPosture
| This property contains the value of the posture of the document.
boolean | CharAutoKerning
| This optional property determines whether the kerning tables from the current font are used.
com::sun::star::util::Color | CharBackColor
| This optional property contains the text background color.
long | CharShadingValue
| This optional property contains the text shading value.
boolean | CharBackTransparent
| This property determines if the text background color is set to transparent.
short | CharCaseMap
| This optional property contains the value of the case-mapping of the text for formatting and displaying.
boolean | CharCrossedOut
| This property is TRUE if the characters are crossed out.
boolean | CharFlash
| If this optional property is TRUE, then the characters are flashing.
short | CharStrikeout
| This property determines the type of the strike out of the character.
boolean | CharWordMode
| If this property is TRUE, the underline and strike-through properties are not applied to white spaces.
short | CharKerning
| This optional property contains the value of the kerning of the characters.
com::sun::star::lang::Locale | CharLocale
| This property contains the value of the locale.
boolean | CharKeepTogether
| This optional property marks a range of characters to prevent it from being broken into two lines.
boolean | CharNoLineBreak
| This optional property marks a range of characters to ignore a line break in this area.
boolean | CharShadowed
| This optional property specifies if the characters are formatted and displayed with a shadow effect.
short | CharFontType
| This optional property specifies the fundamental technology of the font.
string | CharStyleName
| This optional property specifies the name of the applied character style.
boolean | CharContoured
| This optional property specifies if the characters are formatted and displayed with a contour effect.
boolean | CharCombineIsOn
| This optional property determines whether text is formatted in two lines.
string | CharCombinePrefix
| This optional property contains the prefix (usually parenthesis) before text that is formatted in two lines.
string | CharCombineSuffix
| This optional property contains the suffix (usually parenthesis) after text that is formatted in two lines.
short | CharEmphasis
| This optional property contains the font emphasis value.
short | CharRelief
| This optional property contains the relief style of the characters.
string | RubyText
| This optional property contains the text that is set as ruby.
short | RubyAdjust
| This optional property determines the adjustment of the ruby .
string | RubyCharStyleName
| This optional property contains the name of the character style that is applied to RubyText.
boolean | RubyIsAbove
| This optional property determines whether the ruby text is printed above/left or below/right of the text.
short | CharRotation
| This optional property determines the rotation of a character in tenths of a degree.
boolean | CharRotationIsFitToLine
| This optional property determines whether the text formatting tries to fit rotated text into the surrounded line height.
short | CharScaleWidth
| This optional property determines the percentage value for scaling the width of characters.
string | HyperLinkURL
| This optional property contains the URL of a hyperlink.
string | HyperLinkTarget
| This optional property contains the name of the target for a hyperlink.
string | HyperLinkName
| This optional property contains the name of the hyperlink.
string | VisitedCharStyleName
| This optional property contains the character style name for visited hyperlinks.
string | UnvisitedCharStyleName
| This optional property contains the character style name for unvisited hyperlinks.
byte | CharEscapementHeight
| This is the relative height used for subscript or superscript characters in units of percent.
boolean | CharNoHyphenation
| This optional property determines if the word can be hyphenated at the character by automatic hyphenation.
com::sun::star::util::Color | CharUnderlineColor
| This property contains the color of the underline for the characters.
boolean | CharUnderlineHasColor
| This property specifies if the property CharUnderlineColor is used for an underline.
boolean | CharHidden
| If this optional property is TRUE, then the characters are invisible.
com::sun::star::container::XNameContainer | TextUserDefinedAttributes
| This property stores XML attributes.
com::sun::star::table::BorderLine2 | CharLeftBorder
| This property contains the left border of the object.
com::sun::star::table::BorderLine2 | CharRightBorder
| This property contains the right border of the object.
com::sun::star::table::BorderLine2 | CharTopBorder
| This property contains the top border of the object.
com::sun::star::table::BorderLine2 | CharBottomBorder
| This property contains the bottom border of the object.
long | CharBorderDistance
| This property contains the distance from the border to the object.
long | CharLeftBorderDistance
| This property contains the distance from the left border to the object.
long | CharRightBorderDistance
| This property contains the distance from the right border to the object.
long | CharTopBorderDistance
| This property contains the distance from the top border to the object.
long | CharBottomBorderDistance
| This property contains the distance from the bottom border to the object.
com::sun::star::table::ShadowFormat | CharShadowFormat
| Determines the type, color, and width of the shadow.
com::sun::star::util::Color | CharHighlight
| Determines the color of the highlight.
short | RubyPosition
| This optional property determines the position of the ruby .
short | CharTransparence
| This is the transparency of the character text.
short | CharColorTheme
| If available, keeps the color theme index, so that the character can be re-colored easily based on a theme.
short | CharColorTintOrShade
| Tint or shade of the character color.
short | CharScriptHint
| This optional property suggests that the text should be interpreted as a specific script type.

## Additional Inherited Members
Public Types inherited from Shape
typedef sequence< com::sun::star::beans::PropertyValue > | InteropGrabBag
| Grab bag of shape properties, used as a string-any map for interim interop purposes.
Public Types inherited from CharacterProperties
typedef sequence< string > | CharStyleNames
| This optional property specifies the names of the all styles applied to the font.
typedef sequence< com::sun::star::beans::PropertyValue > | CharInteropGrabBag
| Grab bag of character properties, used as a string-any map for interim interop purposes.
Exported Interfaces inherited from Shape
interface | com::sun::star::beans::XPropertySet
| handles all the properties of this instance.
interface | com::sun::star::drawing::XShape
| This gives you the size and position of this Shape and lets you change it.
interface | com::sun::star::lang::XComponent
| is used for lifetime control of this Shape.
interface | com::sun::star::drawing::XShapeDescriptor
| The XShapeDescriptor tells you what kind of Shape this instance is.
interface | com::sun::star::drawing::XGluePointsSupplier
| This interfaces gives access to an optional container of gluepoints.
interface | com::sun::star::beans::XTolerantMultiPropertySet
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object.
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object
com::sun::star::awt::Size | getSize ()
| gets the size of this object.
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object.
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Protected Member Functions inherited from XGluePointsSupplier
com::sun::star::container::XIndexContainer | getGluePoints ()
Protected Member Functions inherited from XTolerantMultiPropertySet
sequence< com::sun::star::beans::SetPropertyTolerantFailed > | setPropertyValuesTolerant ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::lang::IllegalArgumentException )
| sets the values to the properties with the specified names.
sequence< com::sun::star::beans::GetPropertyTolerantResult > | getPropertyValuesTolerant ([in] sequence< string > aPropertyNames)
| retrieve the values of the specified properties
sequence< com::sun::star::beans::GetDirectPropertyTolerantResult > | getDirectPropertyValuesTolerant ([in] sequence< string > aPropertyNames)
| retrieve only those values of the specified properties which are direct values.
Protected Attributes inherited from UserDefinedAttributesSupplier
::com::sun::star::container::XNameContainer | UserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes.

## Detailed Description

specifies the legend of a chart.

The text/font properties which are specified in the service com::sun::star::drawing::Shape correlate to all text objects inside the legend.

## Exported Interfaces

## ◆ com::sun::star::drawing::Shape

service com::sun::star::drawing::Shape

## ◆ com::sun::star::style::CharacterProperties

service com::sun::star::style::CharacterProperties

## ◆ com::sun::star::xml::UserDefinedAttributesSupplier

service com::sun::star::xml::UserDefinedAttributesSupplier
| optional

If a ChartLegend may be stored as XML file, this service should be supported in order to preserve unparsed XML attributes.

Since
  OOo 1.1.2

## Member Data Documentation

## ◆ Alignment

com::sun::star::chart::ChartLegendPosition Alignment
| property

determines the alignment of the legend relative to the diagram.

## ◆ AutomaticPosition

boolean AutomaticPosition
| optionalproperty

If this property is TRUE the position is calculated by the application automatically.

Setting this property to false will have no effect. Instead use the interface com::sun::star::drawing::XShape to set a concrete position.

The documentation for this service was generated from the following file:

- com/sun/star/chart/ChartLegend.idl